## org.exist.client.xacml
Class ActionAttributeHandler

    java.lang.Object
      org.exist.client.xacml.ActionAttributeHandler

All Implemented Interfaces:
  AttributeHandler

public class ActionAttributeHandler
extends java.lang.Object
implements AttributeHandler

Constructor Summary
`ActionAttributeHandler()`

Method Summary
`void` `checkUserValue(com.sun.xacml.attr.AttributeValue value, com.sun.xacml.attr.AttributeDesignator attribute)` Determines if the user entered value is valid.
`void` `filterFunctions(java.util.Set functions, com.sun.xacml.attr.AttributeDesignator attribute)` Removes functions that should not be available for the user to apply to an attribute.
`boolean` `getAllowedValues(java.util.Set values, com.sun.xacml.attr.AttributeDesignator attribute)` Determines which values the user may select for an attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionAttributeHandler

    public ActionAttributeHandler()

Method Detail

### filterFunctions

    public void filterFunctions(java.util.Set functions,
                                com.sun.xacml.attr.AttributeDesignator attribute)

  Description copied from interface: `AttributeHandler`
  Removes functions that should not be available for the user to apply to an attribute.

  Specified by:
    `filterFunctions` in interface `AttributeHandler`
  Parameters:
    `functions` - The `Set` of functions to modify in place.
    `attribute` - The relevant attribute

### getAllowedValues

    public boolean getAllowedValues(java.util.Set values,
                                    com.sun.xacml.attr.AttributeDesignator attribute)

  Description copied from interface: `AttributeHandler`
  Determines which values the user may select for an attribute. If the user may enter values not in this set, this function should return true.

  Specified by:
    `getAllowedValues` in interface `AttributeHandler`
  Parameters:
    `values` - The `Set` to which allowed values should be added.
    `attribute` - The relevant attribute
  Returns:
    true if the user is not restricted to the values in the set, false otherwise

### checkUserValue

    public void checkUserValue(com.sun.xacml.attr.AttributeValue value,
                               com.sun.xacml.attr.AttributeDesignator attribute)
                        throws com.sun.xacml.ParsingException

  Description copied from interface: `AttributeHandler`
  Determines if the user entered value is valid.

  Specified by:
    `checkUserValue` in interface `AttributeHandler`
  Parameters:
    `value` - The value to check
    `attribute` - The relevant attribute
  Throws:
    `com.sun.xacml.ParsingException` - if the user entered value is invalid

Copyright (C) Wolfgang Meier. All rights reserved.